xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) Jan Vornberger 2009
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.DraggingVisualizer

Description

A helper module to visualize the process of dragging a window by making it follow the mouse cursor. See XMonad.Layout.WindowSwitcherDecoration for a module that makes use of this.

# Documentation

draggingVisualizer :: LayoutClass l Window => l Window -> ModifiedLayout DraggingVisualizer l Window

data DraggingVisualizerMsg

Constructors

DraggingWindow Window Rectangle |
DraggingStopped |

Instances

Eq DraggingVisualizerMsg |
Message DraggingVisualizerMsg |
Typeable * DraggingVisualizerMsg |

data DraggingVisualizer a

Instances

LayoutModifier DraggingVisualizer Window |
Read (DraggingVisualizer a) |
Show (DraggingVisualizer a) |